Ubuntu

Add support for Linux 3.7 to various DKMS binary drivers

Reported by Alberto Milone on 2012-11-07
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Alberto Milone
Precise
Undecided
Alberto Milone
Quantal
Undecided
Alberto Milone
fglrx-installer-updates (Ubuntu)
High
Alberto Milone
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
High
Alberto Milone
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
nvidia-graphics-drivers-experimental-310 (Ubuntu)
High
Alberto Milone
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
nvidia-graphics-drivers-updates (Ubuntu)
High
Alberto Milone
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

[Impact]
Nvidia and fglrx drivers need to be updated in order to build against Linux 3.7

[Test case]
1. Install the latest upstream kernel as described at https://wiki.ubuntu.com/Kernel/MainlineBuilds
2. confirm that the nvidia and fglrx drivers fail to compile against this kernel, and that rebooting to this kernel gives no binary driver.
3. upgrade to the packages in precise-proposed.
4. confirm that the new version of the package successfully builds the kernel module.

Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-experimental-310 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu):
milestone: none → precise-updates
Changed in fglrx-installer-updates (Ubuntu):
milestone: none → precise-updates
Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
Changed in fglrx-installer-updates (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-experimental-310 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-updates (Ubuntu):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu):
milestone: precise-updates → none
Changed in fglrx-installer-updates (Ubuntu):
milestone: precise-updates → none
Changed in fglrx-installer (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Quantal):
assignee: nobody → Alberto Milone (albertomilone)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers - 304.51.really.304.43-0ubuntu2

---------------
nvidia-graphics-drivers (304.51.really.304.43-0ubuntu2) raring; urgency=low

  * debian/dkms.conf.in,
    make-use-of-the-new-uapi-framework.patch,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).
 -- Alberto Milone <email address hidden> Wed, 07 Nov 2012 15:24:55 +0100

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package nvidia-graphics-drivers-updates - 304.64-0ubuntu1

---------------
nvidia-graphics-drivers-updates (304.64-0ubuntu1) raring; urgency=low

  * debian/dkms.conf.in,
    make-use-of-the-new-uapi-framework.patch,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).
  * New upstream release:
    - Fixed a bug that caused the EIZO FlexScan SX2762W
      monitor to remain blank when connected via
      DisplayPort.
    - Updated nvidia-settings to save and restore
      per-monitor color correction settings when RandR
      1.2 or later is available.
    - Fixed a bug that caused too many display devices
      to appear in the X Screen page of nvidia-settings
      when SLI is enabled.
    - Fixed a bug that caused applications to stop
      rendering or the X server to hang in Xinerama
      configurations when windows were moved, resized,
      mapped, or unmapped.
    - Fixed a bug that caused poor OpenGL performance
      on GeForce 6 and 7 PCI cards.
    - Fixed a bug in nvidia-settings that made it report
      the status of ECC configuration incorrectly.
    - Fixed a bug that caused the X server to crash if a
      display was put into DPMS off mode and subsequently
      reenabled while screen transformations are in use.
    - Fixed a bug that caused the X Resize and Rotate
      extension to be enabled when Xinerama is enabled.
      These two X extensions are incompatible and having
      them both enabled can confuse window managers such
      as KDE's kwin. RandR is now correctly disabled when
      Xinerama is enabled.
    - Fixed a bug causing OpenGL stereo applications to
      not work properly when using passive stereo modes 5
      through 9 on Quadro Fermi and newer GPUs.
    - Added support for the "Backlight" RandR output
      property for configuring the brightness of some
      notebook internal panels.
    - Fixed a bug that prevented the Ubuntu Unity launcher
      panel from unhiding (LP:# 1057000).
    - Fixed a bug that caused incorrect input
      transformation after resizing an NVIDIA X screen
      with xserver ABI 12 (xorg-server 1.12) or newer.
    - Fixed a bug that caused GLX to leak memory when
      Xinerama is enabled.
    - Fixed a regression in backlight control functionality
      on some notebook configurations.
    - Fixed a performance issue with recent Linux kernels
      when allocating and freeing system memory.
    - Fixed a bug that sometimes prevented the display
      device / X screen selection menu from being displayed
      in nvidia-settings.
    - Fixed a bug that prevented X driver gamma
      manipulation from working after a VT-switch on some
      configurations.
    - Added the option --output-file to nvidia-bug-report.sh
      to allow specifying a custom filename for the log file.
    - Fixed a hang when using OpenGL programs with some SLI
      Mosaic configurations on pre-Fermi GPUs.
    - Added sections to the Supported NVIDIA GPU Products
      list for NVS, Tesla, and VGX products.
    - Added support for the following GPUs:
      o VGX K1
      o VGX K2
      o Tesla K20c
      o Tesla K...

Read more...

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:9.000-0ubuntu4

---------------
fglrx-installer-updates (2:9.000-0ubuntu4) raring; urgency=low

  * debian/dkms.conf.in,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).
 -- Alberto Milone <email address hidden> Wed, 07 Nov 2012 16:28:50 +0100

Changed in fglrx-installer-updates (Ubuntu):
status: New → Fix Released

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-updates/304.64-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed

This bug was fixed in the package nvidia-graphics-drivers-experimental-310 - 310.14-0ubuntu2

---------------
nvidia-graphics-drivers-experimental-310 (310.14-0ubuntu2) raring; urgency=low

  * debian/dkms.conf.in,
    make-use-of-the-new-uapi-framework.patch,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).
 -- Alberto Milone <email address hidden> Wed, 07 Nov 2012 17:09:02 +0100

Changed in nvidia-graphics-drivers-experimental-310 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:9.000-0ubuntu4

---------------
fglrx-installer (2:9.000-0ubuntu4) raring; urgency=low

  * debian/control:
    - Conflict/replace/provide new nvidia flavours.
    - Depend on other flavours of kernel headers.
  * debian/dkms.conf.in,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).
  * debian/10fglrx.in:
    - Fix path for powerxpress (LP: #1068661). Thanks
      to Nick Andrik and Lu Xingzhe for suggesting
      the fix.

  [ Benjamin Kerensa ]
  * debian/control:
    - Add ${misc:Depends} depends as needed.
 -- Alberto Milone <email address hidden> Fri, 07 Dec 2012 15:16:01 +0100

Changed in fglrx-installer (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) on 2012-12-09
description: updated
Andy Whitcroft (apw) on 2013-01-03
summary: - Add support for Linux 3.7
+ Add support for Linux 3.7 to various DKMS binary drivers
tags: added: unapproved

The driver for Precise seems to hang in the upload/unapproved queue? No build of a *.deb

https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-updates/304.64-0ubuntu0.1

Probably it could help to set the priority from low to something higher. The initial changelog date tracks back to November 2012

Similar situation on nvidia-common...

Thanks for helping to make Ubuntu more compatibel with other linux-distros

Hello Alberto, or anyone else affected,

Accepted fglrx-installer-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:9.000-0ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer-updates (Ubuntu Precise):
status: New → Fix Committed

The whole process of having a current restricted driver might become more important with the implementation of "Steam for Linux"

The Nouveau doesn't seem to be compatible with the blop, yet. :-P

Phoronix (08.01.2013): NVIDIA GeForce 600 "Kepler" On Open-Source: It's Uselessly Slow
Link: http://www.phoronix.com/scan.php?page=article&item=nvidia_nouveau_gf600&num=3

The graphs are self-explantory...

tags: removed: unapproved
Robert Hooker (sarvatt) wrote :

nvidia-current-updates, fglrx-updates and nvidia-experimental-310 from precise-proposed all build fine against 3.7. Logs below:

nvidia-current-updates:

Setting up nvidia-current-updates (304.64-0ubuntu0.1) ...
<snip>
Building only for 3.7.0-7-generic
Building for architecture i686
Building initial module for 3.7.0-7-generic
Done.

nvidia_current_updates:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.7.0-7-generic/updates/dkms/

depmod....

DKMS: install completed.

nvidia-experimental-310:

Setting up nvidia-experimental-310 (310.14-0ubuntu0.2) ...
<snip>
Loading new nvidia-experimental-310-310.14 DKMS files...
First Installation: checking all kernels...
Building only for 3.7.0-7-generic
Building for architecture i686
Building initial module for 3.7.0-7-generic
Done.

nvidia_experimental_310:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.7.0-7-generic/updates/dkms/

depmod....

DKMS: install completed.

fglrx-updates:

Setting up fglrx-updates (2:9.000-0ubuntu0.3) ...
<snip>
Loading new fglrx-updates-9.000 DKMS files...
First Installation: checking all kernels...
Building only for 3.7.0-7-generic
Building for architecture i686
Building initial module for 3.7.0-7-generic
Done.

fglrx_updates:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.7.0-7-generic/updates/dkms/

depmod....

DKMS: install completed.

tags: added: verification-done
removed: verification-needed
Robert Hooker (sarvatt) on 2013-01-28
Changed in nvidia-graphics-drivers-experimental-310 (Ubuntu Precise):
status: New → Fix Committed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-experimental-310 - 310.14-0ubuntu0.2

---------------
nvidia-graphics-drivers-experimental-310 (310.14-0ubuntu0.2) precise-proposed; urgency=low

  * debian/dkms.conf.in,
    make-use-of-the-new-uapi-framework.patch,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).
 -- Alberto Milone <email address hidden> Wed, 07 Nov 2012 16:35:50 +0100

Changed in nvidia-graphics-drivers-experimental-310 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package nvidia-graphics-drivers-updates - 304.64-0ubuntu0.1

---------------
nvidia-graphics-drivers-updates (304.64-0ubuntu0.1) precise-proposed; urgency=low

  * debian/dkms.conf.in,
    make-use-of-the-new-uapi-framework.patch,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).
  * New upstream release:
    - Fixed a bug that caused the EIZO FlexScan SX2762W
      monitor to remain blank when connected via
      DisplayPort.
    - Updated nvidia-settings to save and restore
      per-monitor color correction settings when RandR
      1.2 or later is available.
    - Fixed a bug that caused too many display devices
      to appear in the X Screen page of nvidia-settings
      when SLI is enabled.
    - Fixed a bug that caused applications to stop
      rendering or the X server to hang in Xinerama
      configurations when windows were moved, resized,
      mapped, or unmapped.
    - Fixed a bug that caused poor OpenGL performance
      on GeForce 6 and 7 PCI cards.
    - Fixed a bug in nvidia-settings that made it report
      the status of ECC configuration incorrectly.
    - Fixed a bug that caused the X server to crash if a
      display was put into DPMS off mode and subsequently
      reenabled while screen transformations are in use.
    - Fixed a bug that caused the X Resize and Rotate
      extension to be enabled when Xinerama is enabled.
      These two X extensions are incompatible and having
      them both enabled can confuse window managers such
      as KDE's kwin. RandR is now correctly disabled when
      Xinerama is enabled.
    - Fixed a bug causing OpenGL stereo applications to
      not work properly when using passive stereo modes 5
      through 9 on Quadro Fermi and newer GPUs.
    - Added support for the "Backlight" RandR output
      property for configuring the brightness of some
      notebook internal panels.
    - Fixed a bug that prevented the Ubuntu Unity launcher
      panel from unhiding (LP:# 1057000).
    - Fixed a bug that caused incorrect input
      transformation after resizing an NVIDIA X screen
      with xserver ABI 12 (xorg-server 1.12) or newer.
    - Fixed a bug that caused GLX to leak memory when
      Xinerama is enabled.
    - Fixed a regression in backlight control functionality
      on some notebook configurations.
    - Fixed a performance issue with recent Linux kernels
      when allocating and freeing system memory.
    - Fixed a bug that sometimes prevented the display
      device / X screen selection menu from being displayed
      in nvidia-settings.
    - Fixed a bug that prevented X driver gamma
      manipulation from working after a VT-switch on some
      configurations.
    - Added the option --output-file to nvidia-bug-report.sh
      to allow specifying a custom filename for the log file.
    - Fixed a hang when using OpenGL programs with some SLI
      Mosaic configurations on pre-Fermi GPUs.
    - Added sections to the Supported NVIDIA GPU Products
      list for NVS, Tesla, and VGX products.
    - Added support for the following GPUs:
      o VGX K1
      o VGX K2
      o Tesla K20c
 ...

Read more...

Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:9.000-0ubuntu0.3

---------------
fglrx-installer-updates (2:9.000-0ubuntu0.3) precise-proposed; urgency=low

  * debian/control:
    - Drop all the dependencies on the linux-headers (LP: #1080588).
  * debian/substvars:
    - Add an alternative dependency on xserver-xorg-core-lts-quantal
      (LP: #1080588).

fglrx-installer-updates (2:9.000-0ubuntu0.2) precise-proposed; urgency=low

  * debian/dkms.conf.in,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).
 -- Alberto Milone <email address hidden> Thu, 17 Jan 2013 12:42:50 +0100

Changed in fglrx-installer-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers